﻿using System;
using System.Windows;
using System.Windows.Threading;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.DesktopEdition;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void Map1_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;
            Map1.Overlays.Add(new WorldMapKitWmsDesktopOverlay());
            Map1.CurrentExtent = new RectangleShape(-130, 90, 130, -90);

            // Change the MapResizeMode to see different effect.
            Map1.MapResizeMode = MapResizeMode.PreserveExtent;

            Map1.Refresh();
        }

        private void Grid_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            Map1.Width = e.NewSize.Width;
            Map1.Height = e.NewSize.Height;

            Dispatcher.BeginInvoke(new Action(() =>
            {
                Map1.Refresh();
            }), DispatcherPriority.Background);
        }
    }
}
